cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "T Jake Luciani (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CASSANDRA-8168) Require Java 8
Date Tue, 24 Nov 2015 14:26:11 GMT

     [ https://issues.apache.org/jira/browse/CASSANDRA-8168?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

T Jake Luciani updated CASSANDRA-8168:
--------------------------------------
    Component/s: Configuration

> Require Java 8
> --------------
>
>                 Key: CASSANDRA-8168
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-8168
>             Project: Cassandra
>          Issue Type: Task
>          Components: Configuration
>            Reporter: T Jake Luciani
>            Assignee: T Jake Luciani
>             Fix For: 3.0 alpha 1
>
>
> This is to discuss requiring Java 8 for version >= 3.0  
> There are a couple big reasons for this.
> * Better support for complex async work  e.g (CASSANDRA-5239)    http://docs.oracle.com/javase/8/docs/api/java/util/concurrent/CompletableFuture.html
> * Use Nashorn for Javascript UDFs CASSANDRA-7395



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message